<app-baselayout title="Stock List">
    <div class="table-responsive">
        <table datatable [dtOptions]="dtOptions" [dtTrigger]="dtTrigger" class="table w-100"
            style="white-space: nowrap;">
            <thead class="thead-light">
                <tr>
                    <th scope="col">#</th>
                    <th scope="col">Stock Name</th>
                    <th scope="col">Symbol</th>
                    <th scope="col">Current Price</th>
                    <th scope="col">Market Cap</th>
                    <th class="noExport" scope="col">Action</th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let data of stocksList; let i = index">
                    <th scope="row">{{i+1}}</th>
                    <td>{{data.name}}</td>
                    <td>{{data.symbol}}</td>
                    <td>{{data.current_price}}</td>
                    <td>{{data.market_capitalization}}</td>
                    <!-- <td><input class="btn btn-danger" type="submit" value="Deactivate"
                            (click)="deactivateStock(data.company_id)"></td> -->
                    <td><input class="btn btn-danger" *ngIf="data.is_active" type="submit" value="Deactivate"
                            (click)="showdeleteConfirmPopup(data.company_id,contentdelete)">
                        <input class="btn btn-success" *ngIf="!data.is_active" type="submit" value="Activate"
                            (click)="showactivateConfirmPopup(data.company_id,contentactivate)">
                    </td>
                </tr>
            </tbody>
        </table>

        <ng-template #contentdelete let-modal>
            <div class=" modal-header">
                <h4 class="modal-title" id="modal-basic-title">Confirm Deactivate</h4>
                <button type="button" class="close" aria-label="Close" (click)="modal.dismiss('Cross click')">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <p>Are you sure want to deactivate ?</p>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-primary"
                    (click)="deactivateStock(contentdelete, stockObj)">Yes</button>
                <button type="button" class="btn btn-danger" (click)="closedeletemodal(contentdelete)">Cancel</button>
            </div>
        </ng-template>


        <ng-template #contentactivate let-modal>
            <div class=" modal-header">
                <h4 class="modal-title" id="modal-basic-title">Confirm Activate</h4>
                <button type="button" class="close" aria-label="Close" (click)="modal.dismiss('Cross click')">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <p>Are you sure want to activate ?</p>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-primary"
                    (click)="activateStock(contentactivate, stockObj)">Yes</button>
                <button type="button" class="btn btn-danger"
                    (click)="closeactivatemodal(contentactivate)">Cancel</button>
            </div>
        </ng-template>
    </div>
    <div class="backdrop" *ngIf="loader"
        style="position: fixed; top: 0; right: 0;bottom: 0; left: 0; display: flex; align-items: center;justify-content: center;z-index: 199999;background: hsl(0deg 0% 0% / 40%);">
        <!-- <div class="loader"></div> -->
        <img src="assets/images/Loader.gif" style="max-width: 80px;">
    </div>
</app-baselayout>